Integrations

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
GET
DELETE
PATCH
GET
POST
GET
DELETE
GET
GET
GET
GET
GET
GET
GET
PATCH
POST
GET
GET
POST

List all org organizations integrations

ViewSet for organization-level integrations.

Provides access to integrations that are scoped to the entire organization (vs. project-level integrations). Examples include Vercel, AWS Marketplace, etc.

Creation is handled by the integration installation flows (e.g., Vercel marketplace installation). Users can disconnect integrations via the DELETE endpoint.

Required API key scopes

organization_integration:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/organizations/:organization_id/integrations
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/integrations/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "vercel",
"integration_id": "string",
"config": null,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
}
}
]
}

Retrieve org organizations integrations

ViewSet for organization-level integrations.

Provides access to integrations that are scoped to the entire organization (vs. project-level integrations). Examples include Vercel, AWS Marketplace, etc.

Creation is handled by the integration installation flows (e.g., Vercel marketplace installation). Users can disconnect integrations via the DELETE endpoint.

Required API key scopes

organization_integration:read

Path parameters

  • id
    string

Response


Example request

GET /api/organizations/:organization_id/integrations/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/integrations/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "vercel",
"integration_id": "string",
"config": null,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
}
}

Delete org organization integrations

ViewSet for organization-level integrations.

Provides access to integrations that are scoped to the entire organization (vs. project-level integrations). Examples include Vercel, AWS Marketplace, etc.

Creation is handled by the integration installation flows (e.g., Vercel marketplace installation). Users can disconnect integrations via the DELETE endpoint.

Required API key scopes

organization_integration:write

Path parameters

  • id
    string

Example request

DELETE /api/organizations/:organization_id/integrations/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/integrations/:id/

Example response

Status 204 No response body
Status 409 Deauthorization is blocked because the account has unpaid invoices.

Update integrations environment mapping

ViewSet for organization-level integrations.

Provides access to integrations that are scoped to the entire organization (vs. project-level integrations). Examples include Vercel, AWS Marketplace, etc.

Creation is handled by the integration installation flows (e.g., Vercel marketplace installation). Users can disconnect integrations via the DELETE endpoint.

Path parameters

  • id
    string

Request parameters


    Response


    Example request

    PATCH /api/organizations/:organization_id/integrations/:id/environment-mapping
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl -X PATCH \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/organizations/:organization_id/integrations/:id/environment-mapping/\
    -d kind=undefined

    Example response

    Status 200
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "kind": "vercel",
    "integration_id": "string",
    "config": null,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    }
    }

    List all integrations

    Also available via the PostHog MCP server:

    • integrations-listList integrations

    Required API key scopes

    integration:read

    Query parameters

    • kind
      string
      One of: "anthropic""apns""aws-s3""azure-blob""bing-ads""clickup""customerio-app""customerio-track""customerio-webhook""databricks""email""firebase""github""gitlab""google-ads""google-analytics""google-cloud-service-account""google-cloud-storage""google-pubsub""google-search-console""google-sheets""hubspot""intercom""jira""linear""linkedin-ads""meta-ads""pinterest-ads""postgresql""reddit-ads""resend""s3-compatible""salesforce""slack""slack-posthog-code""snapchat""snowflake""stripe""tiktok-ads""twilio""vercel"
    • limit
      integer
    • offset
      integer

    Response


    Example request

    GET /api/projects/:project_id/integrations
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/

    Example response

    Status 200
    RESPONSE
    {
    "count": 123,
    "next": "http://api.example.org/accounts/?offset=400&limit=100",
    "previous": "http://api.example.org/accounts/?offset=200&limit=100",
    "results": [
    {
    "id": 0,
    "kind": "anthropic",
    "config": null,
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "errors": "string",
    "display_name": "string"
    }
    ]
    }

    Create integrations

    Required API key scopes

    integration:write

    Request parameters

    • kind
    • config

    Response


    Example request

    POST /api/projects/:project_id/integrations
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl
    -H 'Content-Type: application/json'\
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/\
    -d kind=undefined

    Example response

    Status 201
    RESPONSE
    {
    "id": 0,
    "kind": "anthropic",
    "config": null,
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "errors": "string",
    "display_name": "string"
    }

    Retrieve integrations

    Required API key scopes

    integration:read

    Path parameters

    • id
      integer

    Response


    Example request

    GET /api/projects/:project_id/integrations/:id
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/

    Example response

    Status 200
    RESPONSE
    {
    "id": 0,
    "kind": "anthropic",
    "config": null,
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "errors": "string",
    "display_name": "string"
    }

    Delete integrations

    Required API key scopes

    integration:write

    Path parameters

    • id
      integer

    Example request

    DELETE /api/projects/:project_id/integrations/:id
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl -X DELETE \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/

    Example response

    Status 204 No response body

    Retrieve integrations anthropic managed agent envs

    Required API key scopes

    integration:read

    Path parameters

    • id
      integer

    Example request

    GET /api/projects/:project_id/integrations/:id/anthropic_managed_agent_environments
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/anthropic_managed_agent_environments/

    Example response

    Status 200 No response body

    Retrieve integrations anthropic managed agent vaults

    Required API key scopes

    integration:read

    Path parameters

    • id
      integer

    Example request

    GET /api/projects/:project_id/integrations/:id/anthropic_managed_agent_vaults
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/anthropic_managed_agent_vaults/

    Example response

    Status 200 No response body

    Retrieve integrations anthropic managed agents

    Required API key scopes

    integration:read

    Path parameters

    • id
      integer

    Example request

    GET /api/projects/:project_id/integrations/:id/anthropic_managed_agents
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/anthropic_managed_agents/

    Example response

    Status 200 No response body

    Retrieve integrations channels

    Also available via the PostHog MCP server:

    • integrations-channels-retrieveList integration channels

    Required API key scopes

    integration:read

    Path parameters

    • id
      integer

    Query parameters

    • limit
      integer
      Default: 50
    • offset
      integer
      Default: 0
    • search
      string
      Default:

    Response


    Example request

    GET /api/projects/:project_id/integrations/:id/channels
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/channels/

    Example response

    Status 200
    RESPONSE
    {
    "channels": [
    {
    "id": "string",
    "name": "string",
    "is_private": true,
    "is_member": true,
    "is_ext_shared": true,
    "is_private_without_access": true
    }
    ],
    "lastRefreshedAt": "string",
    "has_more": true
    }

    List all integrations clickup lists

    Path parameters

    • id
      integer

    Example request

    GET /api/projects/:project_id/integrations/:id/clickup_lists
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/clickup_lists/

    Example response

    Status 200 No response body

    Retrieve integrations clickup spaces

    Path parameters

    • id
      integer

    Example request

    GET /api/projects/:project_id/integrations/:id/clickup_spaces
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/clickup_spaces/

    Example response

    Status 200 No response body

    Retrieve integrations clickup workspaces

    Path parameters

    • id
      integer

    Example request

    GET /api/projects/:project_id/integrations/:id/clickup_workspaces
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/clickup_workspaces/

    Example response

    Status 200 No response body

    Update integrations email

    Path parameters

    • id
      integer

    Request parameters

    • kind
    • config

    Response


    Example request

    PATCH /api/projects/:project_id/integrations/:id/email
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl -X PATCH \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/email/\
    -d kind=undefined

    Example response

    Status 200
    RESPONSE
    {
    "id": 0,
    "kind": "anthropic",
    "config": null,
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {},
    "role_at_organization": "engineering"
    },
    "errors": "string",
    "display_name": "string"
    }

    Create integrations email verify

    Path parameters

    • id
      integer

    Request parameters

    • kind
    • config

    Example request

    POST /api/projects/:project_id/integrations/:id/email/verify
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl
    -H 'Content-Type: application/json'\
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/email/verify/\
    -d kind=undefined

    Example response

    Status 200 No response body

    Retrieve integrations github branches

    Required API key scopes

    integration:read

    Path parameters

    • id
      integer

    Query parameters

    • limit
      integer
      Default: 100
    • offset
      integer
      Default: 0
    • repo
      string
    • search
      string
      Default:

    Response


    Example request

    GET /api/projects/:project_id/integrations/:id/github_branches
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/github_branches/

    Example response

    Status 200
    RESPONSE
    {
    "branches": [
    "string"
    ],
    "default_branch": "string",
    "has_more": true
    }

    Retrieve integrations github repos

    Required API key scopes

    integration:read

    Path parameters

    • id
      integer

    Query parameters

    • limit
      integer
      Default: 100
    • offset
      integer
      Default: 0
    • search
      string
      Default:

    Response


    Example request

    GET /api/projects/:project_id/integrations/:id/github_repos
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/github_repos/

    Example response

    Status 200
    RESPONSE
    {
    "repositories": [
    {
    "id": 0,
    "name": "string",
    "full_name": "string",
    "private": true,
    "default_branch": "string",
    "language": "string",
    "pushed_at": "string",
    "archived": true,
    "can_push": true
    }
    ],
    "has_more": true
    }

    Create integrations github repos refresh

    Required API key scopes

    integration:write

    Path parameters

    • id
      integer

    Response


    Example request

    POST /api/projects/:project_id/integrations/:id/github_repos/refresh
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl
    -H 'Content-Type: application/json'\
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/integrations/:id/github_repos/refresh/

    Example response

    Status 200
    RESPONSE
    {
    "repositories": [
    {
    "id": 0,
    "name": "string",
    "full_name": "string",
    "private": true,
    "default_branch": "string",
    "language": "string",
    "pushed_at": "string",
    "archived": true,
    "can_push": true
    }
    ]
    }

    Community questions